// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(java.util);
importPackage(Packages.com.silverwrist.dynamo.iface);
importPackage(Packages.com.silverwrist.dynamo.util);
importClass(Packages.com.silverwrist.venice.VeniceNamespaces);

req = bsf.lookupBean("request");

// Set up the parameters to call the edit-email.js script.
my_ns = "/util/sysadmin/edit-email.js";
req.setObject(my_ns,"namespace",VeniceNamespaces.MAIL_MESSAGES_NAMESPACE);
req.setObject(my_ns,"subject.property","confirm.message.title");
req.setObject(my_ns,"body.block","confirm.message");
req.setObject(my_ns,"caller","sysadmin/confirm_email.js.vs");
req.setObject(my_ns,"returnto","sysadmin/main.js.vs");
req.setObject(my_ns,"title","E-Mail Confirmation");

// Set up the varmap.
varmap = new TreeMap();
varmap.put("username","The name of the user account being confirmed");
varmap.put("confnum","The confirmation number");
req.setObject(my_ns,"varmap",varmap);

// Execute and return the value from the common script.
dynamo.scriptOutput(dynamo.exec(my_ns));
